Skip to content
OpenRelay is in early access, and the /v1 API is stable. New capabilities ship in the changelog.
Runners

Runner pool job metrics (last 30 days) + cost comparison

GET
/v1/orgs/{orgId}/runner-pools/{id}/metrics
AuthorizationBearer <token>

OpenRelay API key. Send it as Authorization: Bearer vl_….

In: header

Path Parameters

orgId*string
id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/runner-pools/string/metrics"
{
  "daily": [
    {
      "date": "string",
      "completed": 0,
      "failed": 0,
      "cancelled": 0,
      "running": 0
    }
  ],
  "summary": {
    "totalJobs": 0,
    "completedJobs": 0,
    "failedJobs": 0,
    "avgDurationSec": 0,
    "avgQueueTimeSec": 0
  },
  "cost": {
    "githubCostCents": 0,
    "vectorlayCostCents": 0,
    "savedCents": 0
  }
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}

Command line

The orl CLI wraps this endpoint:

orl runners job-metrics get <id>